Shipping methods
Get shipping methods
Returns one of the company’s shipping methods with its rate table. Requires a company admin Bearer token with orders view permission. Returns 404 when the shipping method does not exist in the company.
GET
/
api
/
v2025-06
/
shipping_methods
/
{id}
Get shipping methods
curl --request GET \
--url https://api.fluid.app/api/v2025-06/shipping_methods/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v2025-06/shipping_methods/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v2025-06/shipping_methods/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 612,
"name": "Standard Shipping",
"delivery_time_estimate": "3-5 business days",
"rate_type": "price",
"rate_type_unit": "USD",
"currency_code": "USD",
"status": "active",
"priority": 1,
"all_countries": false,
"country_sort_positions": {
"US": 1,
"CA": 2
},
"created_at": "2026-09-02T16:11:40.198Z",
"updated_at": "2026-09-02T16:11:40.198Z",
"warehouse_id": 3107,
"shipping_method_rates": [
{
"id": 4410,
"rate_type_min": "0.0",
"rate_type_max": "49.99",
"price": "9.99",
"country": "US",
"region": null,
"created_at": "2026-09-02T16:11:40.218Z",
"updated_at": "2026-09-02T16:11:40.218Z"
},
{
"id": 4411,
"rate_type_min": "50.0",
"rate_type_max": "999999.0",
"price": "0.0",
"country": "US",
"region": null,
"created_at": "2026-09-02T16:11:40.218Z",
"updated_at": "2026-09-02T16:11:40.218Z"
}
],
"meta": {
"request_id": "4f1c2a9e-7b3d-4e8a-9c61-2d5f8a0b3e17",
"timestamp": "2026-09-15T14:32:08Z"
}
}{
"message": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get shipping methods
